Jack Frost

Java–Warning:java: 目标值1.5已过时, 将在未来所有发行版中删除

Warning:java: 目标值1.5已过时, 将在未来所有发行版中删除

这个错误是新建工程时,ide给工程的默认设置导致的。我们需要修改的是工程编译版本。

这里写图片描述

修改方法:

这里写图片描述

module修改的版本要跟一会工程的setting修改的一致。

这里写图片描述

我们看到Target bytecode version。编译环境修改即可!!!


更多内容,可以访问JackFrost的博客

码字很辛苦,转载请注明来自JackFrost《Java–Warning:java: 目标值1.5已过时, 将在未来所有发行版中删除》

Leave a Reply

Your email address will not be published. Required fields are marked *